Bug 75448 - make modules/modules_install failing
make modules/modules_install failing
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
All Linux
high Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-08 14:12 EDT by Dmitry S. Makovey
Modified: 2007-03-26 23:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-05 08:08:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dmitry S. Makovey 2002-10-08 14:12:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; FreeBSD i386; en-US; rv:1.1) Gecko/20020906

Description of problem:
"make modules" fail on custom kernel compilation

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. cd /usr/src/linux-2.4/
2. make menuconfig
3. add NTFS support (either module or in-kernel)
4. make dep && make && make modules && make install && make modules_install
	

Actual Results:  error message:
[------ skip ------]
warning: kernel is too big for standalone boot from floppy
sh -x ./install.sh 2.4.18-14custom bzImage /usr/src/linux-2.4.18-14/System.map ""
+ '[' -x /home/dimon/bin/installkernel ']'
+ '[' -x /sbin/installkernel ']'
+ exec /sbin/installkernel 2.4.18-14custom bzImage
/usr/src/linux-2.4.18-14/System.map ''
No module raid1 found for kernel 2.4.18-14custom
make[1]: *** [install] Error 1
make[1]: Leaving directory `/usr/src/linux-2.4.18-14/arch/i386/boot'
make: *** [install] Error 2


Expected Results:  normal installation of customized kernel and modules

Additional info:

this system is an upgraded system 7.3 -> 8.0
Comment 1 Need Real Name 2002-10-13 23:47:22 EDT
The RH8.0 kernel seems a bit of a pain. But I have a workaround that has worked
well for me.Never a failed make. And yes, the warnings are normal.

$ cd /usr/src/linux-2.4
$ make mrproper
$ cp /boot/config-2.4.18-14 .config
$ make xconfig 
$ make dep; make clean; make bzImage; make modules; make modules_install; make
install

Note: I used xconfig. menuconfig is fine. xconfig is just nice!
You will also find a lot of example configurations in
"/usr/src/linux-2.4/configs" that may be used. Using the default configuration
saved a lot of pain for me. Little problems like not including packet sockets
for DHCP to work. Not making IDE BLOCK SUPPORT as a module so I can use the
"options ide-cd DMA=1". If IDE BLOCK SUPPORT is compiled into the kernel the new
technique used by RedHat will not work. But I can save myself a lot of time and
greif by using the default setup and changing only what I need to change.
The bloat of the default configuration is not a problem at all. In most cases
the modules are created and Linux is setup to load modules on demand when
needed. So I have some modules I will never need 'dma support for BX
motherboard' but then again I am not using any system resources by making
including module support for the item. I can go back later and remove what I do
not need. But for simply adding NTFS support this is a safe way to make sure you
have what you need. You may want to also change the PROCESSOR TYPE to match your
system. If you are using a Athlon do not worry about the mach686 options during
the build process. Redhat for 'stability' reasons is building Althon as if we
selected 686. 

Greg - Just another Linux nut.



Comment 2 Nick Sklavenitis 2002-11-03 00:37:32 EST
Everything seems to compile fine for me. I had the same problem till i installed
the compat modules for gcc not sure if this is the proper way to do it but now
it works.
Comment 3 Alan Cox 2003-06-05 08:08:05 EDT
The kernel source is set up so you can build modules off it using the module
building scripts/tools rather than rebuilding the kernel. The make mrproper will
do what you want

Note You need to log in before you can comment on or make changes to this bug.